CitrixFarm (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.citrix.CitrixFarm interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.citrix
Interface CitrixFarm

All Superinterfaces:
  AppServerCluster, ConfigurationItem, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface CitrixFarm

extends AppServerCluster

This class represents reference to

Naming Rules:
  0="localIp,farmName"
Persistable:
  true
Top Level:
  true
Display Name:
  farmName

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Fields inherited from interface com.collation.platform.model.topology.app.AppServerCluster
`RUNNING, STOPPED`

Method Summary
`boolean` | `getAlternateCachingMethod()`
`CitrixAppFolder[]` | `getAppFolders()`
`BindAddress` | `getBindaddress()`
`CitrixApplication[]` | `getCitrixApplications()`
`boolean` | `getDCRespondToClientBroadcast()`
`java.lang.String` | `getDegradationBias()`
`boolean` | `getDisableClientLocalTimeEstimation()`
`boolean` | `getDiscardRedundantGraphics()`
`java.lang.String` | `getDSDriver()`
`java.lang.String` | `getDSODBC()`
`boolean` | `getEnableAutoClientReconnect()`
`boolean` | `getEnableDNSAddressResolution()`
`boolean` | `getEnableSNMPAgent()`
`java.lang.String` | `getFarmName()`
`boolean` | `getLegacyICADisplayCompatibleMode()`
`boolean` | `getLegacyMFServerCompatibleMode()`
`CitrixLicensePool` | `getLicensePool()`
`IpAddress` | `getLocalIp()`
`boolean` | `getLogAutoReconnectAttempts()`
`boolean` | `getLogOverLimitDenials()`
`int` | `getMaxConnectionsPerUser()`
`boolean` | `getNotifyDegradation()`
`boolean` | `getRASRespondToClientBroadcast()`
`CitrixServerFolder[]` | `getServerFolders()`
`boolean` | `getSNMPDisconnectTrap()`
`boolean` | `getSNMPLogoffTrap()`
`boolean` | `getSNMPLogonTrap()`
`boolean` | `getSNMPThresholdExceededTrap()`
`int` | `getSNMPThresholdValue()`
`boolean` | `getUseClientLocalTime()`
`int` | `getVideoBufferSizeICA()`
`CitrixZone[]` | `getZones()`
`boolean` | `hasAlternateCachingMethod()`
`boolean` | `hasAppFolders()`
`boolean` | `hasBindaddress()`
`boolean` | `hasCitrixApplications()`
`boolean` | `hasDCRespondToClientBroadcast()`
`boolean` | `hasDegradationBias()`
`boolean` | `hasDisableClientLocalTimeEstimation()`
`boolean` | `hasDiscardRedundantGraphics()`
`boolean` | `hasDSDriver()`
`boolean` | `hasDSODBC()`
`boolean` | `hasEnableAutoClientReconnect()`
`boolean` | `hasEnableDNSAddressResolution()`
`boolean` | `hasEnableSNMPAgent()`
`boolean` | `hasFarmName()`
`boolean` | `hasLegacyICADisplayCompatibleMode()`
`boolean` | `hasLegacyMFServerCompatibleMode()`
`boolean` | `hasLicensePool()`
`boolean` | `hasLocalIp()`
`boolean` | `hasLogAutoReconnectAttempts()`
`boolean` | `hasLogOverLimitDenials()`
`boolean` | `hasMaxConnectionsPerUser()`
`boolean` | `hasNotifyDegradation()`
`boolean` | `hasRASRespondToClientBroadcast()`
`boolean` | `hasServerFolders()`
`boolean` | `hasSNMPDisconnectTrap()`
`boolean` | `hasSNMPLogoffTrap()`
`boolean` | `hasSNMPLogonTrap()`
`boolean` | `hasSNMPThresholdExceededTrap()`
`boolean` | `hasSNMPThresholdValue()`
`boolean` | `hasUseClientLocalTime()`
`boolean` | `hasVideoBufferSizeICA()`
`boolean` | `hasZones()`
`void` | `setAlternateCachingMethod(boolean x)`
`void` | `setAppFolders(CitrixAppFolder[] x)`
`void` | `setBindaddress(BindAddress x)`
`void` | `setCitrixApplications(CitrixApplication[] x)`
`void` | `setDCRespondToClientBroadcast(boolean x)`
`void` | `setDegradationBias(java.lang.String x)`
`void` | `setDisableClientLocalTimeEstimation(boolean x)`
`void` | `setDiscardRedundantGraphics(boolean x)`
`void` | `setDSDriver(java.lang.String x)`
`void` | `setDSODBC(java.lang.String x)`
`void` | `setEnableAutoClientReconnect(boolean x)`
`void` | `setEnableDNSAddressResolution(boolean x)`
`void` | `setEnableSNMPAgent(boolean x)`
`void` | `setFarmName(java.lang.String x)`
`void` | `setLegacyICADisplayCompatibleMode(boolean x)`
`void` | `setLegacyMFServerCompatibleMode(boolean x)`
`void` | `setLicensePool(CitrixLicensePool x)`
`void` | `setLocalIp(IpAddress x)`
`void` | `setLogAutoReconnectAttempts(boolean x)`
`void` | `setLogOverLimitDenials(boolean x)`
`void` | `setMaxConnectionsPerUser(int x)`
`void` | `setNotifyDegradation(boolean x)`
`void` | `setRASRespondToClientBroadcast(boolean x)`
`void` | `setServerFolders(CitrixServerFolder[] x)`
`void` | `setSNMPDisconnectTrap(boolean x)`
`void` | `setSNMPLogoffTrap(boolean x)`
`void` | `setSNMPLogonTrap(boolean x)`
`void` | `setSNMPThresholdExceededTrap(boolean x)`
`void` | `setSNMPThresholdValue(int x)`
`void` | `setUseClientLocalTime(boolean x)`
`void` | `setVideoBufferSizeICA(int x)`
`void` | `setZones(CitrixZone[] x)`

Methods inherited from interface com.collation.platform.model.topology.app.AppServerCluster
`getIp, getPort, getServers, getStatus, getVipFunction, hasIp, hasPort, hasServers, hasStatus, hasVipFunction, setIp, setPort, setServers, setStatus, setVipFunction`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getLicensePool

    CitrixLicensePool getLicensePool()
                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Owns" reverse="false"

### setLicensePool

    void setLicensePool(CitrixLicensePool x)

### hasLicensePool

    boolean hasLicensePool()

### getEnableSNMPAgent

    boolean getEnableSNMPAgent()
                               throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setEnableSNMPAgent

    void setEnableSNMPAgent(boolean x)

### hasEnableSNMPAgent

    boolean hasEnableSNMPAgent()

### getServerFolders

    CitrixServerFolder[] getServerFolders()
                                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"

### setServerFolders

    void setServerFolders(CitrixServerFolder[] x)

### hasServerFolders

    boolean hasServerFolders()

### getCitrixApplications

    CitrixApplication[] getCitrixApplications()
                                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.MemberOf" reverse="true"

### setCitrixApplications

    void setCitrixApplications(CitrixApplication[] x)

### hasCitrixApplications

    boolean hasCitrixApplications()

### getLogAutoReconnectAttempts

    boolean getLogAutoReconnectAttempts()
                                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setLogAutoReconnectAttempts

    void setLogAutoReconnectAttempts(boolean x)

### hasLogAutoReconnectAttempts

    boolean hasLogAutoReconnectAttempts()

### getEnableDNSAddressResolution

    boolean getEnableDNSAddressResolution()
                                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setEnableDNSAddressResolution

    void setEnableDNSAddressResolution(boolean x)

### hasEnableDNSAddressResolution

    boolean hasEnableDNSAddressResolution()

### getBindaddress

    BindAddress getBindaddress()
                               throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.AccessedVia" reverse="false"

### setBindaddress

    void setBindaddress(BindAddress x)

### hasBindaddress

    boolean hasBindaddress()

### getAppFolders

    CitrixAppFolder[] getAppFolders()
                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"

### setAppFolders

    void setAppFolders(CitrixAppFolder[] x)

### hasAppFolders

    boolean hasAppFolders()

### getRASRespondToClientBroadcast

    boolean getRASRespondToClientBroadcast()
                                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setRASRespondToClientBroadcast

    void setRASRespondToClientBroadcast(boolean x)

### hasRASRespondToClientBroadcast

    boolean hasRASRespondToClientBroadcast()

### getSNMPDisconnectTrap

    boolean getSNMPDisconnectTrap()
                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setSNMPDisconnectTrap

    void setSNMPDisconnectTrap(boolean x)

### hasSNMPDisconnectTrap

    boolean hasSNMPDisconnectTrap()

### getFarmName

    java.lang.String getFarmName()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setFarmName

    void setFarmName(java.lang.String x)

### hasFarmName

    boolean hasFarmName()

### getSNMPThresholdExceededTrap

    boolean getSNMPThresholdExceededTrap()
                                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setSNMPThresholdExceededTrap

    void setSNMPThresholdExceededTrap(boolean x)

### hasSNMPThresholdExceededTrap

    boolean hasSNMPThresholdExceededTrap()

### getSNMPLogoffTrap

    boolean getSNMPLogoffTrap()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setSNMPLogoffTrap

    void setSNMPLogoffTrap(boolean x)

### hasSNMPLogoffTrap

    boolean hasSNMPLogoffTrap()

### getNotifyDegradation

    boolean getNotifyDegradation()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setNotifyDegradation

    void setNotifyDegradation(boolean x)

### hasNotifyDegradation

    boolean hasNotifyDegradation()

### getSNMPThresholdValue

    int getSNMPThresholdValue()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setSNMPThresholdValue

    void setSNMPThresholdValue(int x)

### hasSNMPThresholdValue

    boolean hasSNMPThresholdValue()

### getLogOverLimitDenials

    boolean getLogOverLimitDenials()
                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setLogOverLimitDenials

    void setLogOverLimitDenials(boolean x)

### hasLogOverLimitDenials

    boolean hasLogOverLimitDenials()

### getLegacyICADisplayCompatibleMode

    boolean getLegacyICADisplayCompatibleMode()
                                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setLegacyICADisplayCompatibleMode

    void setLegacyICADisplayCompatibleMode(boolean x)

### hasLegacyICADisplayCompatibleMode

    boolean hasLegacyICADisplayCompatibleMode()

### getVideoBufferSizeICA

    int getVideoBufferSizeICA()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setVideoBufferSizeICA

    void setVideoBufferSizeICA(int x)

### hasVideoBufferSizeICA

    boolean hasVideoBufferSizeICA()

### getDiscardRedundantGraphics

    boolean getDiscardRedundantGraphics()
                                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setDiscardRedundantGraphics

    void setDiscardRedundantGraphics(boolean x)

### hasDiscardRedundantGraphics

    boolean hasDiscardRedundantGraphics()

### getDSDriver

    java.lang.String getDSDriver()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setDSDriver

    void setDSDriver(java.lang.String x)

### hasDSDriver

    boolean hasDSDriver()

### getEnableAutoClientReconnect

    boolean getEnableAutoClientReconnect()
                                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setEnableAutoClientReconnect

    void setEnableAutoClientReconnect(boolean x)

### hasEnableAutoClientReconnect

    boolean hasEnableAutoClientReconnect()

### getUseClientLocalTime

    boolean getUseClientLocalTime()
                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setUseClientLocalTime

    void setUseClientLocalTime(boolean x)

### hasUseClientLocalTime

    boolean hasUseClientLocalTime()

### getZones

    CitrixZone[] getZones()
                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"

### setZones

    void setZones(CitrixZone[] x)

### hasZones

    boolean hasZones()

### getLegacyMFServerCompatibleMode

    boolean getLegacyMFServerCompatibleMode()
                                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setLegacyMFServerCompatibleMode

    void setLegacyMFServerCompatibleMode(boolean x)

### hasLegacyMFServerCompatibleMode

    boolean hasLegacyMFServerCompatibleMode()

### getLocalIp

    IpAddress getLocalIp()
                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.AccessedVia" reverse="false"

### setLocalIp

    void setLocalIp(IpAddress x)

### hasLocalIp

    boolean hasLocalIp()

### getDCRespondToClientBroadcast

    boolean getDCRespondToClientBroadcast()
                                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setDCRespondToClientBroadcast

    void setDCRespondToClientBroadcast(boolean x)

### hasDCRespondToClientBroadcast

    boolean hasDCRespondToClientBroadcast()

### getSNMPLogonTrap

    boolean getSNMPLogonTrap()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setSNMPLogonTrap

    void setSNMPLogonTrap(boolean x)

### hasSNMPLogonTrap

    boolean hasSNMPLogonTrap()

### getDisableClientLocalTimeEstimation

    boolean getDisableClientLocalTimeEstimation()
                                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setDisableClientLocalTimeEstimation

    void setDisableClientLocalTimeEstimation(boolean x)

### hasDisableClientLocalTimeEstimation

    boolean hasDisableClientLocalTimeEstimation()

### getDSODBC

    java.lang.String getDSODBC()
                               throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setDSODBC

    void setDSODBC(java.lang.String x)

### hasDSODBC

    boolean hasDSODBC()

### getAlternateCachingMethod

    boolean getAlternateCachingMethod()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setAlternateCachingMethod

    void setAlternateCachingMethod(boolean x)

### hasAlternateCachingMethod

    boolean hasAlternateCachingMethod()

### getMaxConnectionsPerUser

    int getMaxConnectionsPerUser()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setMaxConnectionsPerUser

    void setMaxConnectionsPerUser(int x)

### hasMaxConnectionsPerUser

    boolean hasMaxConnectionsPerUser()

### getDegradationBias

    java.lang.String getDegradationBias()
                                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setDegradationBias

    void setDegradationBias(java.lang.String x)

### hasDegradationBias

    boolean hasDegradationBias()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD